<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{86592C94-5E09-417B-B1E2-AFDB757B24D4}</ProjectGuid>
    <ProjectTypeGuids>{349c5851-65df-11da-9384-00065b846f21};{fae04ec0-301f-11d3-bf4b-00c04f79efbc}</ProjectTypeGuids>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>EPiServerLabs.Extensions.CommerceManager</RootNamespace>
    <AssemblyName>EPiServerLabs.Extensions.CommerceManager</AssemblyName>
    <OldToolsVersion>3.5</OldToolsVersion>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\CommerceManagerR2SP1\bin\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
    <RunCodeAnalysis>false</RunCodeAnalysis>
    <CodeAnalysisRules>
    </CodeAnalysisRules>
    <CodeAnalysisRuleSet>Migrated rules for LinkingPagesPlugin.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\bin\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="AjaxControlToolkit">
      <HintPath>References\AjaxControlToolkit.dll</HintPath>
    </Reference>
    <Reference Include="EPiServer.Business.Commerce">
      <HintPath>References\EPiServer.Business.Commerce.dll</HintPath>
    </Reference>
    <Reference Include="Mediachase.BusinessFoundation">
      <HintPath>References\Mediachase.BusinessFoundation.dll</HintPath>
    </Reference>
    <Reference Include="Mediachase.BusinessFoundation.Data">
      <HintPath>References\Mediachase.BusinessFoundation.Data.dll</HintPath>
    </Reference>
    <Reference Include="Mediachase.Cms">
      <HintPath>References\Mediachase.Cms.dll</HintPath>
    </Reference>
    <Reference Include="Mediachase.Commerce">
      <HintPath>References\Mediachase.Commerce.dll</HintPath>
    </Reference>
    <Reference Include="Mediachase.ConsoleManager">
      <HintPath>References\Mediachase.ConsoleManager.dll</HintPath>
    </Reference>
    <Reference Include="Mediachase.MetaDataPlus">
      <HintPath>References\Mediachase.MetaDataPlus.dll</HintPath>
    </Reference>
    <Reference Include="Mediachase.WebConsoleLib">
      <HintPath>References\Mediachase.WebConsoleLib.dll</HintPath>
    </Reference>
    <Reference Include="WindowsBase">
      <RequiredTargetFramework>3.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.configuration" />
    <Reference Include="System.Core, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data" />
    <Reference Include="System.Data.DataSetExtensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Drawing" />
    <Reference Include="System.ServiceModel">
      <RequiredTargetFramework>3.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Web" />
    <Reference Include="System.Web.Abstractions">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Web.Routing">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Web.Services" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Xml.Linq, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
  </ItemGroup>
  <PropertyGroup>
    <RootPath Condition="'$(RootPath)' == ''">$(MSBuildProjectDirectory)\..\..</RootPath>
  </PropertyGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <Target Name="BeforeBuild">
    <ItemGroup>
      <CustomAdditionalCompileInputs Include="@(EPiServerDataFiles);@(EPiServerDataFiles);@(AppBrowserFiles);@(SiteBinFiles);@(RecursiveMarkup)" />
    </ItemGroup>
  </Target>
  <Target Name="AfterBuild">
  </Target>
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{349c5851-65df-11da-9384-00065b846f21}">
        <WebProjectProperties>
          <UseIIS>False</UseIIS>
          <AutoAssignPort>True</AutoAssignPort>
          <DevelopmentServerPort>50057</DevelopmentServerPort>
          <DevelopmentServerVPath>/</DevelopmentServerVPath>
          <IISUrl>
          </IISUrl>
          <NTLMAuthentication>False</NTLMAuthentication>
          <UseCustomServer>False</UseCustomServer>
          <CustomServerUrl>
          </CustomServerUrl>
          <SaveServerSettingsInUserFile>False</SaveServerSettingsInUserFile>
        </WebProjectProperties>
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
  <ItemGroup>
    <Reference Include="log4net">
      <HintPath>bin\log4net.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Content Include="Apps\Catalog\ExtensionTabs\EntryOverviewEditTab.ascx" />
    <Content Include="Apps\Catalog\ExtensionTabs\EntrySeoTab.ascx" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Apps\Catalog\ExtensionTabs\EntryOverviewEditTab.ascx.cs">
      <DependentUpon>EntryOverviewEditTab.ascx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="Apps\Catalog\ExtensionTabs\EntryOverviewEditTab.ascx.designer.cs">
      <DependentUpon>EntryOverviewEditTab.ascx</DependentUpon>
    </Compile>
    <Compile Include="Apps\Catalog\ExtensionTabs\EntrySeoTab.ascx.cs">
      <DependentUpon>EntrySeoTab.ascx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="Apps\Catalog\ExtensionTabs\EntrySeoTab.ascx.designer.cs">
      <DependentUpon>EntrySeoTab.ascx</DependentUpon>
    </Compile>
    <Compile Include="Apps\Catalog\ExtensionTabs\LanguageSelectorHelper.cs" />
  </ItemGroup>
  <PropertyGroup>
    <!-- Even if this project is up to date we need to make sure that any changed "runtime files" are copied to the site -->
    <BuildDependsOnWhenUpToDate>AfterBuild</BuildDependsOnWhenUpToDate>
  </PropertyGroup>
  <Import Project="$(MSBuildExtensionsPath32)\UpToDateCheck.targets" Condition="Exists('$(MSBuildExtensionsPath32)\UpToDateCheck.targets')" />
  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v10.0\WebApplications\Microsoft.WebApplication.targets" />
</Project>